> ## Documentation Index
> Fetch the complete documentation index at: https://docs.liquidrewardsapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Affiliate Discovery Products



## OpenAPI

````yaml https://rewardsbot-prod.liquidrewardsapi.com/openapi.discovery.json post /v1/discovery/products/search
openapi: 3.1.0
info:
  title: RewardsBot Affiliate Discovery API
  description: Affiliate discovery search, detail, and related workflows.
  version: 2.0.0
servers: []
security: []
paths:
  /v1/discovery/products/search:
    post:
      tags:
        - affiliate-discovery
      summary: Search Affiliate Discovery Products
      operationId: search_affiliate_discovery_products_v1_discovery_products_search_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AffiliateDiscoverySearchRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AffiliateDiscoverySearchResponse'
        '403':
          description: Missing API key.
        '404':
          description: Cursor or backing ranking session not found.
        '410':
          description: Cursor or backing ranking session has expired.
        '416':
          description: Cursor page is out of range.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '503':
          description: Cursor-backed affiliate discovery search is not configured.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    AffiliateDiscoverySearchRequest:
      properties:
        query:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Query
          description: Free-text query string.
        criteria_set_ids:
          items:
            type: string
          type: array
          title: Criteria Set Ids
          description: Saved criteria set IDs to apply to this first-page search.
        exclude_query:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Exclude Query
          description: >-
            Negative free-text provider filter applied to
            'name||description||brand'.
        criteria:
          items:
            $ref: '#/components/schemas/DiscriminatedInventoryCriterion'
          type: array
          title: Criteria
          description: Structured filters applied in addition to the free-text query.
        per_page:
          type: integer
          maximum: 100
          minimum: 1
          title: Per Page
          description: Maximum number of products requested for the page.
          default: 25
        cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Cursor
          description: Opaque cursor returned by a previous search response.
      additionalProperties: false
      type: object
      title: AffiliateDiscoverySearchRequest
      examples:
        - criteria:
            - field: on_sale
              operator: '='
              value: true
            - field: in_stock
              operator: '='
              value: true
          criteria_set_ids:
            - summer-sale
          exclude_query: trail hiking
          per_page: 25
          query: running shoes
        - cursor: opaque-next-page-cursor
      x-contract-version: 2.0.0
    AffiliateDiscoverySearchResponse:
      properties:
        query:
          type: string
          title: Query
        page_index:
          type: integer
          title: Page Index
        page_size:
          type: integer
          title: Page Size
        items:
          items:
            $ref: '#/components/schemas/AffiliateDiscoverySearchItem'
          type: array
          title: Items
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
      type: object
      required:
        - query
        - page_index
        - page_size
        - items
      title: AffiliateDiscoverySearchResponse
      x-contract-version: 2.0.0
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DiscriminatedInventoryCriterion:
      oneOf:
        - $ref: '#/components/schemas/AnyCriterion'
        - $ref: '#/components/schemas/NameDescriptionBrandCriterion'
        - $ref: '#/components/schemas/BrandCriterion'
        - $ref: '#/components/schemas/CategoryCriterion'
        - $ref: '#/components/schemas/ColorCriterion'
        - $ref: '#/components/schemas/ConditionCriterion'
        - $ref: '#/components/schemas/CountryCriterion'
        - $ref: '#/components/schemas/GenderCriterion'
        - $ref: '#/components/schemas/GenreCriterion'
        - $ref: '#/components/schemas/ManufacturerCriterion'
        - $ref: '#/components/schemas/MaterialCriterion'
        - $ref: '#/components/schemas/ModelCriterion'
        - $ref: '#/components/schemas/PublisherCriterion'
        - $ref: '#/components/schemas/SizeCriterion'
        - $ref: '#/components/schemas/SubtitleCriterion'
        - $ref: '#/components/schemas/TagsCriterion'
        - $ref: '#/components/schemas/CurrencyCriterion'
        - $ref: '#/components/schemas/OnSaleCriterion'
        - $ref: '#/components/schemas/SaleDiscountCriterion'
        - $ref: '#/components/schemas/RegularPriceCriterion'
        - $ref: '#/components/schemas/FinalPriceCriterion'
        - $ref: '#/components/schemas/SalePriceCriterion'
        - $ref: '#/components/schemas/ShipPriceCriterion'
        - $ref: '#/components/schemas/IdCriterion'
        - $ref: '#/components/schemas/BarcodeCriterion'
        - $ref: '#/components/schemas/SkuCriterion'
        - $ref: '#/components/schemas/MpnCriterion'
        - $ref: '#/components/schemas/AsinCriterion'
        - $ref: '#/components/schemas/MerchantIdCriterion'
        - $ref: '#/components/schemas/MerchantNameCriterion'
        - $ref: '#/components/schemas/SellerPartyCriterion'
        - $ref: '#/components/schemas/MerchantCategoryIdsCriterion'
        - $ref: '#/components/schemas/InStockCriterion'
        - $ref: '#/components/schemas/StockQuantityCriterion'
        - $ref: '#/components/schemas/AvailabilityCriterion'
      discriminator:
        propertyName: field
        mapping:
          any:
            $ref: '#/components/schemas/AnyCriterion'
          asin:
            $ref: '#/components/schemas/AsinCriterion'
          availability:
            $ref: '#/components/schemas/AvailabilityCriterion'
          barcode:
            $ref: '#/components/schemas/BarcodeCriterion'
          brand:
            $ref: '#/components/schemas/BrandCriterion'
          category:
            $ref: '#/components/schemas/CategoryCriterion'
          color:
            $ref: '#/components/schemas/ColorCriterion'
          condition:
            $ref: '#/components/schemas/ConditionCriterion'
          country:
            $ref: '#/components/schemas/CountryCriterion'
          currency:
            $ref: '#/components/schemas/CurrencyCriterion'
          final_price:
            $ref: '#/components/schemas/FinalPriceCriterion'
          gender:
            $ref: '#/components/schemas/GenderCriterion'
          genre:
            $ref: '#/components/schemas/GenreCriterion'
          id:
            $ref: '#/components/schemas/IdCriterion'
          in_stock:
            $ref: '#/components/schemas/InStockCriterion'
          manufacturer:
            $ref: '#/components/schemas/ManufacturerCriterion'
          material:
            $ref: '#/components/schemas/MaterialCriterion'
          merchant.id:
            $ref: '#/components/schemas/MerchantIdCriterion'
          merchant.name:
            $ref: '#/components/schemas/MerchantNameCriterion'
          merchant_category_ids:
            $ref: '#/components/schemas/MerchantCategoryIdsCriterion'
          model:
            $ref: '#/components/schemas/ModelCriterion'
          mpn:
            $ref: '#/components/schemas/MpnCriterion'
          name||description||brand:
            $ref: '#/components/schemas/NameDescriptionBrandCriterion'
          on_sale:
            $ref: '#/components/schemas/OnSaleCriterion'
          publisher:
            $ref: '#/components/schemas/PublisherCriterion'
          regular_price:
            $ref: '#/components/schemas/RegularPriceCriterion'
          sale_discount:
            $ref: '#/components/schemas/SaleDiscountCriterion'
          sale_price:
            $ref: '#/components/schemas/SalePriceCriterion'
          seller_party:
            $ref: '#/components/schemas/SellerPartyCriterion'
          ship_price:
            $ref: '#/components/schemas/ShipPriceCriterion'
          size:
            $ref: '#/components/schemas/SizeCriterion'
          sku:
            $ref: '#/components/schemas/SkuCriterion'
          stock_quantity:
            $ref: '#/components/schemas/StockQuantityCriterion'
          subtitle:
            $ref: '#/components/schemas/SubtitleCriterion'
          tags:
            $ref: '#/components/schemas/TagsCriterion'
    AffiliateDiscoverySearchItem:
      properties:
        type:
          type: string
          const: product
          title: Type
          default: product
        slug:
          type: string
          title: Slug
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        image_url:
          type: string
          title: Image Url
        product_url:
          type: string
          title: Product Url
        merchant_url:
          type: string
          title: Merchant Url
        price:
          $ref: '#/components/schemas/AffiliateDiscoveryPrice'
        merchant:
          anyOf:
            - $ref: '#/components/schemas/AffiliateDiscoveryMerchant'
            - type: 'null'
        brand:
          anyOf:
            - type: string
            - type: 'null'
          title: Brand
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        availability:
          anyOf:
            - type: string
            - type: 'null'
          title: Availability
      type: object
      required:
        - slug
        - id
        - name
        - image_url
        - product_url
        - merchant_url
        - price
      title: AffiliateDiscoverySearchItem
      x-contract-version: 2.0.0
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AnyCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/TextOperator'
        value:
          type: string
          minLength: 1
          title: Value
        field:
          type: string
          const: any
          title: Field
          default: any
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: AnyCriterion
      example:
        field: any
        operator: not_like
        value: trail hiking
    NameDescriptionBrandCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/TextOperator'
        value:
          type: string
          minLength: 1
          title: Value
        field:
          type: string
          const: name||description||brand
          title: Field
          default: name||description||brand
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: NameDescriptionBrandCriterion
      example:
        field: name||description||brand
        operator: not_like
        value: trail hiking
    BrandCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/TextOperator'
        value:
          type: string
          minLength: 1
          title: Value
        field:
          type: string
          const: brand
          title: Field
          default: brand
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: BrandCriterion
      example:
        field: brand
        operator: '='
        value: Nike
    CategoryCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/TextOperator'
        value:
          type: string
          minLength: 1
          title: Value
        field:
          type: string
          const: category
          title: Field
          default: category
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: CategoryCriterion
      example:
        field: category
        operator: like
        value: running shoe
    ColorCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/TextOperator'
        value:
          type: string
          minLength: 1
          title: Value
        field:
          type: string
          const: color
          title: Field
          default: color
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: ColorCriterion
      example:
        field: color
        operator: '='
        value: red
    ConditionCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/TextOperator'
        value:
          type: string
          minLength: 1
          title: Value
        field:
          type: string
          const: condition
          title: Field
          default: condition
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: ConditionCriterion
      example:
        field: condition
        operator: '='
        value: new
    CountryCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/TextOperator'
        value:
          type: string
          minLength: 1
          title: Value
        field:
          type: string
          const: country
          title: Field
          default: country
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: CountryCriterion
      example:
        field: country
        operator: '='
        value: US
    GenderCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/TextOperator'
        value:
          type: string
          minLength: 1
          title: Value
        field:
          type: string
          const: gender
          title: Field
          default: gender
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: GenderCriterion
      example:
        field: gender
        operator: '='
        value: women
    GenreCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/TextOperator'
        value:
          type: string
          minLength: 1
          title: Value
        field:
          type: string
          const: genre
          title: Field
          default: genre
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: GenreCriterion
      example:
        field: genre
        operator: '='
        value: fiction
    ManufacturerCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/TextOperator'
        value:
          type: string
          minLength: 1
          title: Value
        field:
          type: string
          const: manufacturer
          title: Field
          default: manufacturer
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: ManufacturerCriterion
      example:
        field: manufacturer
        operator: '='
        value: Acme
    MaterialCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/TextOperator'
        value:
          type: string
          minLength: 1
          title: Value
        field:
          type: string
          const: material
          title: Field
          default: material
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: MaterialCriterion
      example:
        field: material
        operator: '='
        value: leather
    ModelCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/TextOperator'
        value:
          type: string
          minLength: 1
          title: Value
        field:
          type: string
          const: model
          title: Field
          default: model
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: ModelCriterion
      example:
        field: model
        operator: '='
        value: Pegasus 41
    PublisherCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/TextOperator'
        value:
          type: string
          minLength: 1
          title: Value
        field:
          type: string
          const: publisher
          title: Field
          default: publisher
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: PublisherCriterion
      example:
        field: publisher
        operator: '='
        value: Penguin
    SizeCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/TextOperator'
        value:
          type: string
          minLength: 1
          title: Value
        field:
          type: string
          const: size
          title: Field
          default: size
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: SizeCriterion
      example:
        field: size
        operator: '='
        value: '10'
    SubtitleCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/TextOperator'
        value:
          type: string
          minLength: 1
          title: Value
        field:
          type: string
          const: subtitle
          title: Field
          default: subtitle
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: SubtitleCriterion
      example:
        field: subtitle
        operator: like
        value: collector edition
    TagsCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/TextOperator'
        value:
          type: string
          minLength: 1
          title: Value
        field:
          type: string
          const: tags
          title: Field
          default: tags
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: TagsCriterion
      example:
        field: tags
        operator: like
        value: trail
    CurrencyCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/TextOperator'
        value:
          type: string
          minLength: 1
          title: Value
        field:
          type: string
          const: currency
          title: Field
          default: currency
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: CurrencyCriterion
      example:
        field: currency
        operator: '='
        value: USD
    OnSaleCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/BooleanOperator'
        value:
          type: boolean
          title: Value
        field:
          type: string
          const: on_sale
          title: Field
          default: on_sale
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: OnSaleCriterion
      example:
        field: on_sale
        operator: '='
        value: true
    SaleDiscountCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/NumericOperator'
        value:
          type: number
          title: Value
        field:
          type: string
          const: sale_discount
          title: Field
          default: sale_discount
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: SaleDiscountCriterion
      example:
        field: sale_discount
        operator: '>='
        value: 0.1
    RegularPriceCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/NumericOperator'
        value:
          type: number
          title: Value
        field:
          type: string
          const: regular_price
          title: Field
          default: regular_price
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: RegularPriceCriterion
      example:
        field: regular_price
        operator: <=
        value: 200
    FinalPriceCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/NumericOperator'
        value:
          type: number
          title: Value
        field:
          type: string
          const: final_price
          title: Field
          default: final_price
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: FinalPriceCriterion
      example:
        field: final_price
        operator: <=
        value: 149.99
    SalePriceCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/NumericOperator'
        value:
          type: number
          title: Value
        field:
          type: string
          const: sale_price
          title: Field
          default: sale_price
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: SalePriceCriterion
      example:
        field: sale_price
        operator: <=
        value: 129.99
    ShipPriceCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/NumericOperator'
        value:
          type: number
          title: Value
        field:
          type: string
          const: ship_price
          title: Field
          default: ship_price
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: ShipPriceCriterion
      example:
        field: ship_price
        operator: <=
        value: 9.99
    IdCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/TextOperator'
        value:
          type: string
          minLength: 1
          title: Value
        field:
          type: string
          const: id
          title: Field
          default: id
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: IdCriterion
      example:
        field: id
        operator: '='
        value: sku-123
    BarcodeCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/TextOperator'
        value:
          type: string
          minLength: 1
          title: Value
        field:
          type: string
          const: barcode
          title: Field
          default: barcode
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: BarcodeCriterion
      example:
        field: barcode
        operator: '='
        value: '012345678905'
    SkuCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/TextOperator'
        value:
          type: string
          minLength: 1
          title: Value
        field:
          type: string
          const: sku
          title: Field
          default: sku
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: SkuCriterion
      example:
        field: sku
        operator: '='
        value: SKU-123
    MpnCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/TextOperator'
        value:
          type: string
          minLength: 1
          title: Value
        field:
          type: string
          const: mpn
          title: Field
          default: mpn
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: MpnCriterion
      example:
        field: mpn
        operator: '='
        value: MPN-123
    AsinCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/TextOperator'
        value:
          type: string
          minLength: 1
          title: Value
        field:
          type: string
          const: asin
          title: Field
          default: asin
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: AsinCriterion
      example:
        field: asin
        operator: '='
        value: B000123456
    MerchantIdCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/TextOperator'
        value:
          type: string
          minLength: 1
          title: Value
        field:
          type: string
          const: merchant.id
          title: Field
          default: merchant.id
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: MerchantIdCriterion
      example:
        field: merchant.id
        operator: '='
        value: merchant-42
    MerchantNameCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/TextOperator'
        value:
          type: string
          minLength: 1
          title: Value
        field:
          type: string
          const: merchant.name
          title: Field
          default: merchant.name
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: MerchantNameCriterion
      example:
        field: merchant.name
        operator: '='
        value: Example Store
    SellerPartyCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/TextOperator'
        value:
          type: string
          minLength: 1
          title: Value
        field:
          type: string
          const: seller_party
          title: Field
          default: seller_party
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: SellerPartyCriterion
      example:
        field: seller_party
        operator: '='
        value: first_party
    MerchantCategoryIdsCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/TextOperator'
        value:
          type: string
          minLength: 1
          title: Value
        field:
          type: string
          const: merchant_category_ids
          title: Field
          default: merchant_category_ids
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: MerchantCategoryIdsCriterion
      example:
        field: merchant_category_ids
        operator: like
        value: shoes
    InStockCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/BooleanOperator'
        value:
          type: boolean
          title: Value
        field:
          type: string
          const: in_stock
          title: Field
          default: in_stock
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: InStockCriterion
      example:
        field: in_stock
        operator: '='
        value: true
    StockQuantityCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/NumericOperator'
        value:
          type: number
          title: Value
        field:
          type: string
          const: stock_quantity
          title: Field
          default: stock_quantity
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: StockQuantityCriterion
      example:
        field: stock_quantity
        operator: '>='
        value: 1
    AvailabilityCriterion:
      properties:
        operator:
          $ref: '#/components/schemas/TextOperator'
        value:
          type: string
          minLength: 1
          title: Value
        field:
          type: string
          const: availability
          title: Field
          default: availability
      additionalProperties: false
      type: object
      required:
        - operator
        - value
      title: AvailabilityCriterion
      example:
        field: availability
        operator: '='
        value: in_stock
    AffiliateDiscoveryPrice:
      properties:
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        regular_value:
          anyOf:
            - type: number
            - type: 'null'
          title: Regular Value
        final_value:
          anyOf:
            - type: number
            - type: 'null'
          title: Final Value
        on_sale:
          anyOf:
            - type: boolean
            - type: 'null'
          title: On Sale
        sale_discount:
          anyOf:
            - type: number
            - type: 'null'
          title: Sale Discount
      type: object
      title: AffiliateDiscoveryPrice
      x-contract-version: 2.0.0
    AffiliateDiscoveryMerchant:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Url
      type: object
      title: AffiliateDiscoveryMerchant
      x-contract-version: 2.0.0
    TextOperator:
      type: string
      enum:
        - '='
        - '!='
        - like
        - not_like
      title: TextOperator
    BooleanOperator:
      type: string
      enum:
        - '='
        - '!='
      title: BooleanOperator
    NumericOperator:
      type: string
      enum:
        - '='
        - '!='
        - '>='
        - <=
      title: NumericOperator
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````